//motor.h  - simple motor convenience macros
//           assumes PMOD HB2 connected to SERVO1 (DIR1) and SERVO2 (EN1)

#ifndef __MOTOR_H__
#define __MOTOR_H__
 
#include <avr/io.h>

// motor 1 (on SERVO1&2) direction counter clockwise
inline void motor1_counterclockwise() { PORTB = PINB | 64; }

// motor 1 (on SERVO1&2) direction clockwise
inline void motor1_clockwise() { PORTB = PINB & ~64; }

// motor 1 (on SERVO1&2) disable
inline void motor1_off() { PORTD = PIND | 16; }

// motor 1 (on SERVO1&2) enable
inline void motor1_on() { PORTD = PIND & ~16; }

//setup pins with motors as outputs  
inline void motor1_init() { DDRB |= 64; DDRD |= 16; motor1_off(); motor1_clockwise(); }


// motor 2 (on SERVO2&3) direction counter clockwise
inline void motor2_counterclockwise() { PORTB = PINB | 32; }

// motor 1 (on SERVO2&3) direction clockwise
inline void motor2_clockwise() { PORTB = PINB & ~32; }

// motor 1 (on SERVO2&3) disable
inline void motor2_off() { PORTD = PIND | 64; }

// motor 1 (on SERVO2&3) enable
inline void motor2_on() { PORTD = PIND & ~64; }

//setup pins with motors as outputs  
inline void motor2_init() { DDRB |= 32; DDRD |= 64; motor2_off(); motor2_clockwise(); }

#endif
